Subject: Re: MO-Disk on PPC with 53C94 SCSI-chip

From: Paul Mackerras <[email-masked]>
Date: Wed, 8 Sep 1999 10:44:37 +1000

> Can you tell us what the difference is between this driver and the generic
> 53c94 driver in the same directory?  Also, is there a source of docs other
> than the code there (for us SCSI newbies :-)?

I assume you're talking about the mca_53c9x.c driver?  I don't think
that existed when I started doing mac53c94.c.  I would expect that the
main differences are in the areas of DMA and interrupt handling.  The
mca_53c9x driver is probably worth a look.  I used the esp.c driver as
a reference as the ESP chip in Suns is apparently a 53c96 and has
marked similarities to the 53c94.  There appear to be no fewer than 4
esp drivers there. :-)

I never found a definitive manual or data sheet on the 53c94,
unfortunately.  For documentation on the SCSI-2 standard, I have a
late draft that I got by ftp from somewhere.  The actual final
standard isn't available on the web as it costs real money. :-(

Paul.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/